org.apache.commons.math3.exception.util

## Class ArgUtils

- java.lang.Object
- - org.apache.commons.math3.exception.util.ArgUtils

-     public class ArgUtils
      extends Object

  Utility class for transforming the list of arguments passed to constructors of exceptions.
  Version:
    $Id: ArgUtils.java 1364388 2012-07-22 18:16:43Z tn $

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ArgUtils()` Class contains only static methods.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object[]` | `flatten(Object[] array)` Transform a multidimensional array into a one-dimensional list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgUtils

          private ArgUtils()

      Class contains only static methods.

  - ### Method Detail

    - #### flatten

          public static Object[] flatten(Object[] array)

      Transform a multidimensional array into a one-dimensional list.
      Parameters:
        `array` - Array (possibly multidimensional).
      Returns:
        a list of all the `Object` instances contained in `array`.

Copyright (c) 2003-2013 Apache Software Foundation